<?php
	include '../../game/db.php';
	
	$url = $_SERVER['REQUEST_URI'];
	$author = substr($url, strrpos($url, '/') + 1);
	
	$db = new PDO('sqlite:../../game/' . $dbName);
	
	$queryString = 'SELECT * FROM author WHERE author = "' . $author . '"';

	$statement = $db->prepare($queryString);
		
	$statement->execute();
	$result = $statement->fetchAll();
	$prof = $result[0];
	
	$followingUsers = [];
	if ($prof['following_users'] != null) {
		$followingUsers = explode(";", $prof['following_users']);
	}
	
	$followedUsers = [];
	if ($prof['followed_users'] != null) {
		$followedUsers = explode(";", $prof['followed_users']);
	}
	
	$followingClasses = [];
	if ($prof['following_classes'] != null) {
		$followingClasses = explode(";", $prof['following_classes']);
	}
	$countFollowingUsers = count($followingUsers);
	$countFollowedUsers = count($followedUsers);
	
	function endsWith( $haystack, $needle ) {
		$length = strlen( $needle );
		if( !$length ) {
			return true;
		}
		return substr( $haystack, -$length ) === $needle;
	}
?>	

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=8" />
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
		<title>Gamestar Mechanic</title>
		
		<link rel="stylesheet" type="text/css" href="http://dkq1u8y54k75f.cloudfront.net/static-1750/css/base.css"/>
		<link rel="stylesheet" type="text/css" href="http://dkq1u8y54k75f.cloudfront.net/static-1750/css/ge.css"/>
				<link rel="stylesheet" type="text/css" href="http://dkq1u8y54k75f.cloudfront.net/static-1750/css/workshop.css"/>
						<link rel="shortcut icon" href="http://gamestarmechanic.com/favicon.ico" />
		
		<script type="text/javascript" src="http://dkq1u8y54k75f.cloudfront.net/static-1750/js/jquery-1.7.1.min.js"></script>
		<script type="text/javascript" src="http://dkq1u8y54k75f.cloudfront.net/static-1750/js/ui.core.min.js"></script>
		<script type="text/javascript" src="http://dkq1u8y54k75f.cloudfront.net/static-1750/js/jquery.color.min.js"></script>
		<script type="text/javascript" src="http://dkq1u8y54k75f.cloudfront.net/static-1750/js/base.js"></script>
						
		<script type="text/javascript">
		var is_logged_in = 1;
		var static_url = 'http://dkq1u8y54k75f.cloudfront.net/static-1750';
				</script>
		
			</head>
	
	
	<body>
				<div id="wrapper-site">
			<div id="page">
				<!-- HEADER - START -->
<div class="bar">
	<div class="bar-left"></div>
	<div class="bar-right"></div>
	<div class="bar-content">
		<div class="bar-content-left">
<!--
			<a id="gamestar-logo" href="/">GSM</a>
			<div class="bar-divider-left bar-divider"></div>
-->
			
						<div id="title-button-gsm"><a href="/lobby">Gamestar Mechanic</a></div>
			<div id="wrapper-buttons">
								<a class="game-button" id="game-button-quest" href="/quest">Quest</a>
				<a class="game-button" id="game-button-workshop" href="/workshop">Workshop</a>
				<a class="game-button" id="game-button-gamealley" href="/game/alley">Game Alley</a>
							</div>
						<div class="clear"></div>
		</div>
		<div class="bar-content-right">
									<div class="bar-divider-right bar-divider"></div>
			<a class="menu-button" id="menu-button-logout" href="/log/out">Log Out</a>
						<div class="bar-divider-right bar-divider"></div>
			<a class="menu-button" id="menu-button-parents" href="/parents">Parents</a>
			<div class="bar-divider-right bar-divider"></div>
			<!--			<a class="menu-button" id="menu-button-premium" href="/premium">Premium</a>
			<div class="bar-divider-right bar-divider"></div>
			-->
			<a class="menu-button" id="menu-button-help" href="/help/report">Help</a>&nbsp;
			<!-- <div class="bar-divider-right bar-divider"></div>
			<div id="gamestar-timer">
				<a href="/parents/page7">TIMER</a>
			</div> -->
		</div>
	</div>
	<div class="clear"></div>
</div>
<!-- NAV - END -->
				<div id="content" class="clearfix">
					<!-- WORKSHOP HEADER -->
<div id="header-workshop-other">
	<h2>
		<?php echo $prof["author"]; ?>&#039;s<br />
		<span>WORKSHOP</span>
	</h2>
</div>
<script type="text/javascript">
$(document).ready(function(){
	$(".delete").click(function(){
		return confirm("Are you sure you want to unfollow this user?");
	});
});
</script>
<div class="profile-section profile-following">
	<h3><?php echo $prof["author"]; ?> is following <?php echo $countFollowingUsers; ?> users:</h3>
		<ul>
			<?php
				foreach ($followingUsers as $user) {
			?>
					<li><a href="http://gamestarmechanic.com/workshop/profile/<?php echo $user; ?>"><?php echo $user; ?></a></li>
			<?php
				}
			?>
			</ul>
	</div>

<div class="profile-section profile-following">
	<h3><?php echo $prof["author"]; ?> is followed by <?php echo $countFollowedUsers; ?> users:</h3>
		<ul>
			<?php
				foreach ($followedUsers as $user) {
			?>
					<li><a href="http://gamestarmechanic.com/workshop/profile/<?php echo $user; ?>"><?php echo $user; ?></a></li>
			<?php
				}
			?>
			</ul>
	</div>

	<?php
		if (count($followingClasses) > 0) {
	?>
	<div class="profile-section profile-following">
		<h3><?php echo $prof["author"]; ?> is auto-following the classes:</h3>
			<ul>
				<?php
					foreach ($followingClasses as $class) {
				?>
						<li><?php echo $class; ?></li>
				<?php
					}
				?>
			</ul>
	</div>
	<?php
		}
	?>

<div class="center"><a href="http://gamestarmechanic.com/workshop/profile/<?php echo $prof['author']; ?>" class="button">&laquo; Back to the workshop</a></div>				</div>
			</div>
		</div>
		<div id="footer">
	<ul id="footer-nav">
		<li><a href="/account/">Manage Account</a></li>
		<li><a href="/faq/">FAQ</a></li>
			<li><a href="http://gamestarmechanic.com/parents">Parents</a></li>
		<li><a href="/teachers/">Teachers</a></li>
			<li><a href="http://gamestarmechanic.com/about/credits">Credits</a></li>
                    <li><a href="http://gamestarmechanic.com/about/privacy">Privacy Policy</a></li>
                    <li><a href="http://gamestarmechanic.com/about/tos">Terms of Service</a></li>
                    <li><a href="http://gamestarmechanic.com/about/roc">Rules of Conduct</a></li>
	</ul>
	<p>Created by <a class="footer-logo" id="logo-eline" href="http://elinemedia.com" target="_blank">E-Line Media</a> &amp; 
	<a class="footer-logo" id="logo-iop" href="http://instituteofplay.org" target="_blank">Institute of Play</a>
	with inital funding by <a class="footer-logo" id="logo-macarthur" href="http://www.macfound.org" target="_blank">the Macarthur Foundation</a>.</p>				
</div><!-- #footer -->


<script type="text/javascript">
$(document).ready(function(){
	if (top === self) {
		
				
					}else{
									}
});
</script>

	</body>
</html>
